function [ Labels,Scores ] = Predict_EasyEnsemble_SVMLIN(X,T,S,Alpha,Weak_Learners,option)
%this function evaluates the EasyEnsemble for each input in X.  
%if option = 'single', only the result after T rounds is shown. if
%option = 'full', then all results are shown for rounds 1..T.
%!SUMS the results of the subsets 1..S!

if(strcmp(option,'single'))
    Scores = zeros(size(X,1),1);
elseif(strcmp(option,'full'))
    Scores = zeros(size(X,1),T);
end
for s = 1:S
    [~,Scores_sub] = Predict_Boosting_SVMLIN(X,T,Alpha(s,:),Weak_Learners(s,:),option);
    Scores = Scores + Scores_sub;
end
Labels = sign(Scores);

